It would be nicer to do this at compile time, but then we would need to
compile pango for the host as well.
--- /dev/null
+#! /bin/sh
+#
+# run pango-querymodules if needed
+
+FILE=/etc/pango/pango.modules
+
+case "$1" in
+ start|"")
+ if [ ! -f "$FILE" ] ; then
+ /usr/bin/pango-querymodules > "$FILE"
+ fi
+ ;;
+ stop)
+ ;;
+ *)
+ echo "Usage: $0 {start|stop}" >&2
+ exit 1
+ ;;
+esac
PANGO_DEPENDENCIES = uclibc gettext libintl pkgconfig libglib2 $(XSERVER) cairo
$(eval $(call AUTOTARGETS,package,pango))
+
+$(PANGO_HOOK_POST_INSTALL):
+ $(INSTALL) -m 755 package/pango/S25pango $(TARGET_DIR)/etc/init.d/
+ touch $@